[arch-releng] [PATCH] Move automated_script from /etc/functions.d to /etc/rc.d/functions.d

Charles Vejnar ce at vejnar.org
Fri Apr 1 12:15:42 EDT 2011


diff --git a/squashfs-root-2011.03.23/etc/functions.d/automated_script 
b/squashfs-root-2011.03.23/etc/functions.d/automated_script
deleted file mode 100644
index 09f04b8..0000000
--- a/squashfs-root-2011.03.23/etc/functions.d/automated_script
+++ /dev/null
@@ -1,23 +0,0 @@
-automated_script ()
-{
-    script="$(kernel_cmdline script)"
-    if [ -n $script ] ; then
-        stat_busy "Configuring $script"
-        if [[ $script =~ ^http:// || $script =~ ^ftp:// ]] ; then
-            wget "$script" -q -O /tmp/startup_script >/dev/null
-            rt=$?
-        else
-            cp $script /tmp/startup_script
-            rt=$?
-        fi
-        if [ $rt -eq 0 ] ; then
-            chmod +x /tmp/startup_script
-            echo -e "\nif [ \`tty\` = \"/dev/tty1\" ] ; then\n 
/tmp/startup_script\nfi\n" >> /root/.bash_profile
-            stat_done
-        else
-            stat_fail
-        fi
-    fi
-}
-
-add_hook multi_end automated_script
diff --git a/squashfs-root/etc/rc.d/functions.d/automated_script 
b/squashfs-root/etc/rc.d/functions.d/automated_script
new file mode 100644
index 0000000..09f04b8
--- /dev/null
+++ b/squashfs-root/etc/rc.d/functions.d/automated_script
@@ -0,0 +1,23 @@
+automated_script ()
+{
+    script="$(kernel_cmdline script)"
+    if [ -n $script ] ; then
+        stat_busy "Configuring $script"
+        if [[ $script =~ ^http:// || $script =~ ^ftp:// ]] ; then
+            wget "$script" -q -O /tmp/startup_script >/dev/null
+            rt=$?
+        else
+            cp $script /tmp/startup_script
+            rt=$?
+        fi
+        if [ $rt -eq 0 ] ; then
+            chmod +x /tmp/startup_script
+            echo -e "\nif [ \`tty\` = \"/dev/tty1\" ] ; then\n 
/tmp/startup_script\nfi\n" >> /root/.bash_profile
+            stat_done
+        else
+            stat_fail
+        fi
+    fi
+}
+
+add_hook multi_end automated_script


More information about the arch-releng mailing list